PtexTriangleKernelIter Class Reference

Triangle filter kernel iterator (in texel coords) More...

`#include <PtexTriangleKernel.h>`

## Public Member Functions

void | apply (float *dst, void *data, DataType dt, int nChan, int nTxChan)
void | applyConst (float *dst, void *data, DataType dt, int nChan)

## Public Attributes

int | rowlen
float | u
float | v
int | u1
int | v1
int | w1
int | u2
int | v2
int | w2
float | A
float | B
float | C
bool | valid
float | wscale
float | weight

## Private Types

typedef void(* | ApplyFn) (PtexTriangleKernelIter &k, float *dst, void *data, int nChan, int nTxChan)

## Static Private Attributes

static ApplyFn | applyFunctions [40]

## Detailed Description

Triangle filter kernel iterator (in texel coords)

Definition at line 54 of file PtexTriangleKernel.h.

## Member Typedef Documentation

## ApplyFn

typedef void(* PtexTriangleKernelIter::ApplyFn) (PtexTriangleKernelIter &k, float *dst, void *data, int nChan, int nTxChan)

private

Definition at line 76 of file PtexTriangleKernel.h.

## Member Function Documentation

## apply()

void PtexTriangleKernelIter::apply | ( | float * | dst,
|  | void * | data,
|  | DataType | dt,
|  | int | nChan,
|  | int | nTxChan
| ) |  |

inline

Definition at line 65 of file PtexTriangleKernel.h.

References applyFunctions.

Referenced by PtexTriangleFilter::applyIter().

## applyConst()

void PtexTriangleKernelIter::applyConst | ( | float * | dst,
|  | void * | data,
|  | DataType | dt,
|  | int | nChan
| ) |  |

Definition at line 153 of file PtexTriangleKernel.cpp.

References A, PtexUtils::applyConst(), B, C, PtexUtils::max(), PtexUtils::min(), rowlen, u, u1, u2, v, v1, v2, w1, w2, weight, and wscale.

Referenced by PtexTriangleFilter::applyIter().

## Member Data Documentation

## A

float PtexTriangleKernelIter::A

Definition at line 60 of file PtexTriangleKernel.h.

Referenced by PTEX_NAMESPACE_BEGIN::Apply(), applyConst(), PTEX_NAMESPACE_BEGIN::ApplyN(), PTEX_NAMESPACE_BEGIN::ApplyS(), and PtexTriangleKernel::getIterators().

## applyFunctions

PtexTriangleKernelIter::ApplyFn PtexTriangleKernelIter::applyFunctions

staticprivate

Initial value:
= {
ApplyN<uint8_t>, ApplyN<uint16_t>, ApplyN<PtexHalf>, ApplyN<float>,
Apply<uint8_t,1>, Apply<uint16_t,1>, Apply<PtexHalf,1>, Apply<float,1>,
Apply<uint8_t,2>, Apply<uint16_t,2>, Apply<PtexHalf,2>, Apply<float,2>,
Apply<uint8_t,3>, Apply<uint16_t,3>, Apply<PtexHalf,3>, Apply<float,3>,
Apply<uint8_t,4>, Apply<uint16_t,4>, Apply<PtexHalf,4>, Apply<float,4>,
ApplyN<uint8_t>, ApplyN<uint16_t>, ApplyN<PtexHalf>, ApplyN<float>,
ApplyS<uint8_t,1>, ApplyS<uint16_t,1>, ApplyS<PtexHalf,1>, ApplyS<float,1>,
ApplyS<uint8_t,2>, ApplyS<uint16_t,2>, ApplyS<PtexHalf,2>, ApplyS<float,2>,
ApplyS<uint8_t,3>, ApplyS<uint16_t,3>, ApplyS<PtexHalf,3>, ApplyS<float,3>,
ApplyS<uint8_t,4>, ApplyS<uint16_t,4>, ApplyS<PtexHalf,4>, ApplyS<float,4>,
}

Definition at line 136 of file PtexTriangleKernel.h.

Referenced by apply().

## B

float PtexTriangleKernelIter::B

Definition at line 60 of file PtexTriangleKernel.h.

Referenced by PTEX_NAMESPACE_BEGIN::Apply(), applyConst(), PTEX_NAMESPACE_BEGIN::ApplyN(), PTEX_NAMESPACE_BEGIN::ApplyS(), and PtexTriangleKernel::getIterators().

## C

float PtexTriangleKernelIter::C

Definition at line 60 of file PtexTriangleKernel.h.

Referenced by PTEX_NAMESPACE_BEGIN::Apply(), applyConst(), PTEX_NAMESPACE_BEGIN::ApplyN(), PTEX_NAMESPACE_BEGIN::ApplyS(), and PtexTriangleKernel::getIterators().

## rowlen

int PtexTriangleKernelIter::rowlen

Definition at line 56 of file PtexTriangleKernel.h.

Referenced by PTEX_NAMESPACE_BEGIN::Apply(), applyConst(), PtexTriangleFilter::applyIter(), PTEX_NAMESPACE_BEGIN::ApplyN(), PTEX_NAMESPACE_BEGIN::ApplyS(), and PtexTriangleKernel::getIterators().

## u

float PtexTriangleKernelIter::u

Definition at line 57 of file PtexTriangleKernel.h.

Referenced by PTEX_NAMESPACE_BEGIN::Apply(), applyConst(), PtexTriangleFilter::applyIter(), PTEX_NAMESPACE_BEGIN::ApplyN(), PTEX_NAMESPACE_BEGIN::ApplyS(), and PtexTriangleKernel::getIterators().

## u1

int PtexTriangleKernelIter::u1

Definition at line 58 of file PtexTriangleKernel.h.

Referenced by PTEX_NAMESPACE_BEGIN::Apply(), applyConst(), PtexTriangleFilter::applyIter(), PTEX_NAMESPACE_BEGIN::ApplyN(), PTEX_NAMESPACE_BEGIN::ApplyS(), and PtexTriangleKernel::getIterators().

## u2

int PtexTriangleKernelIter::u2

Definition at line 59 of file PtexTriangleKernel.h.

Referenced by PTEX_NAMESPACE_BEGIN::Apply(), applyConst(), PtexTriangleFilter::applyIter(), PTEX_NAMESPACE_BEGIN::ApplyN(), PTEX_NAMESPACE_BEGIN::ApplyS(), and PtexTriangleKernel::getIterators().

## v

float PtexTriangleKernelIter::v

Definition at line 57 of file PtexTriangleKernel.h.

Referenced by PTEX_NAMESPACE_BEGIN::Apply(), applyConst(), PtexTriangleFilter::applyIter(), PTEX_NAMESPACE_BEGIN::ApplyN(), PTEX_NAMESPACE_BEGIN::ApplyS(), and PtexTriangleKernel::getIterators().

## v1

int PtexTriangleKernelIter::v1

Definition at line 58 of file PtexTriangleKernel.h.

Referenced by PTEX_NAMESPACE_BEGIN::Apply(), applyConst(), PtexTriangleFilter::applyIter(), PTEX_NAMESPACE_BEGIN::ApplyN(), PTEX_NAMESPACE_BEGIN::ApplyS(), and PtexTriangleKernel::getIterators().

## v2

int PtexTriangleKernelIter::v2

Definition at line 59 of file PtexTriangleKernel.h.

Referenced by PTEX_NAMESPACE_BEGIN::Apply(), applyConst(), PtexTriangleFilter::applyIter(), PTEX_NAMESPACE_BEGIN::ApplyN(), PTEX_NAMESPACE_BEGIN::ApplyS(), and PtexTriangleKernel::getIterators().

## valid

bool PtexTriangleKernelIter::valid

Definition at line 61 of file PtexTriangleKernel.h.

Referenced by PtexTriangleFilter::apply(), and PtexTriangleKernel::getIterators().

## w1

int PtexTriangleKernelIter::w1

Definition at line 58 of file PtexTriangleKernel.h.

Referenced by PTEX_NAMESPACE_BEGIN::Apply(), applyConst(), PtexTriangleFilter::applyIter(), PTEX_NAMESPACE_BEGIN::ApplyN(), PTEX_NAMESPACE_BEGIN::ApplyS(), and PtexTriangleKernel::getIterators().

## w2

int PtexTriangleKernelIter::w2

Definition at line 59 of file PtexTriangleKernel.h.

Referenced by PTEX_NAMESPACE_BEGIN::Apply(), applyConst(), PtexTriangleFilter::applyIter(), PTEX_NAMESPACE_BEGIN::ApplyN(), PTEX_NAMESPACE_BEGIN::ApplyS(), and PtexTriangleKernel::getIterators().

## weight

float PtexTriangleKernelIter::weight

Definition at line 63 of file PtexTriangleKernel.h.

Referenced by PTEX_NAMESPACE_BEGIN::Apply(), applyConst(), PtexTriangleFilter::applyIter(), PTEX_NAMESPACE_BEGIN::ApplyN(), PTEX_NAMESPACE_BEGIN::ApplyS(), and PtexTriangleKernel::getIterators().

## wscale

float PtexTriangleKernelIter::wscale

Definition at line 62 of file PtexTriangleKernel.h.

Referenced by PTEX_NAMESPACE_BEGIN::Apply(), applyConst(), PTEX_NAMESPACE_BEGIN::ApplyN(), PTEX_NAMESPACE_BEGIN::ApplyS(), and PtexTriangleKernel::getIterators().

The documentation for this class was generated from the following files:

- PtexTriangleKernel.h
- PtexTriangleKernel.cpp